@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΕΝΩΝΕΙ ΔΥΟ ή ΠΕΡΙΣΣΟΤΕΡΩΝ ΑΡΧΕΙΩΝ ΒΙΝΤΕΟ ΣΤΟΝ ΚΑΤΑΛΟΓΟ ΠΟΥ ΒΡΙΣΚΕΣΤΕ
REM ΚΡΙΣΙΜΗ ΛΕΠΤΟΜΕΡΕΙΑ ΝΑ ΕΙΝΑΙ ΤΟΥ ΙΔΙΟΥ BITRATE [Π.Χ. TA DAT FILES ΑΠΟ ΤΑ ΠΑΛΙΑ VIDEO CD]
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

echo.
echo Ενώνω τα "%~1" ..
set "dttm=%DATE:~-10,-8%-%DATE:~-7,-5%-%DATE:~-4%__%TIME:~-11,-9%-%TIME:~-8,-6%"
echo.
echo Τοπική ώρα %dttm%
set filespath=%~dp1
set filesname=%~nx1

echo file '%filespath%%filesname%'  >> "%dttm%-joined.txt"

if %ERRORLEVEL% NEQ 0 (
		call vidJoinError.bat %errorlevel%
		shift

	) else (
		call vidJoinError.bat 0
		shift		
)
if "%~1" == "" goto Final
goto FF



:Final
ping 127.0.0.1 -n 3 > NUL
echo.
PUSHD "%arxiki%"
echo ξεκινάω να Ενώνω τα Βίντεο...
ping 127.0.0.1 -n 4 > NUL
rem type "%dttm%-joined.txt"
0<NUL chcp 1252 >NUL
call ffmpeg -f concat -safe 0 -i "%dttm%-joined.txt" -codec copy "%dttm%-joined.mp4"
0<NUL chcp 65001 >NUL
del "%dttm%-joined.txt"
POPD
goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0